Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Apr 2021 16:03:12 +0300

> Date: Mon, 19 Apr 2021 05:24:30 -0400
> From: Boruch Baum <[email-masked]>
> Cc: [email-masked]
> 
> > Thanks, but I don't think I understand the rationale for the second
> > patch.  What is the problem with signaling an error in those two
> > places?
> 
> They avoid spawning a backtrace buffer when toggle-debug-on-error is set
> and the error is a user input error caught by a validation test within
> an `interactive' function call.

I understand that, but the same is true for every call to 'error'
whenever debug-on-error is set.  Since by default debug-on-error is
NOT set, I don't think I agree with that part of the change.  (Why do
you even have that variable set non-nil?)